Start OAuth authorization (redirects to the identity provider)

Server: https://{kibana_url}
  • GET /api/actions/connector/{connectorId}/oauth/start

[Required authorization] Route required privileges: actions:oauth.

Path Parameters

connectorId string · max: 36 required

An identifier for the connector.

Responses

302

Redirects to the identity provider to begin OAuth authorization.

400

Invalid request, such as a disallowed returnUrl.

401

User is not authenticated.

404

Connector not found.